Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.transport.jms
Class JMSTransport

    java.lang.Object
      org.apache.axis.client.Transport
          org.apache.axis.transport.jms.JMSTransport

public class JMSTransport
extends Transport

JMSTransport is the JMS-specific implemenation of org.apache.axis.client.Transport. It implements the setupMessageContextImpl() function to set JMS-specific message context fields and transport chains. There are two Connector and connection factory properties are passed in during instantiation and are in turn passed through when creating a connector.

Author:
  Jaime Meritt (jmeritt@sonicsoftware.com), Richard Chung (rchung@sonicsoftware.com), Dave Chappell (chappell@sonicsoftware.com), Ray Chun (rchun@sonicsoftware.com)

Field Summary
`protected static org.apache.commons.logging.Log` | `log`

Fields inherited from class org.apache.axis.client.Transport
`transportName, url`

Constructor Summary
`JMSTransport()`
`JMSTransport(java.util.HashMap connectorProps, java.util.HashMap connectionFactoryProps)`

Method Summary
`static void` | `closeAllConnectors()` Closes all JMS connectors
`static void` | `closeMatchingJMSConnectors(java.lang.String endpointAddr, java.lang.String username, java.lang.String password)` Closes JMS connectors that match the specified endpoint address
`void` | `setupMessageContextImpl(MessageContext context, Call message, AxisEngine engine)` Set up any transport-specific derived properties in the message context.
`void` | `shutdown()` Shuts down the connectors managed by this JMSTransport.

Methods inherited from class org.apache.axis.client.Transport
`getTransportName, getUrl, processReturnedMessageContext, setTransportName, setupMessageContext, setUrl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### JMSTransport

    public JMSTransport()

### JMSTransport

    public JMSTransport(java.util.HashMap connectorProps,
                        java.util.HashMap connectionFactoryProps)

Method Detail

### setupMessageContextImpl

    public void setupMessageContextImpl(MessageContext context,
                                        Call message,
                                        AxisEngine engine)
                                 throws AxisFault

  Set up any transport-specific derived properties in the message context.

  Overrides:
    `setupMessageContextImpl` in class `Transport`
  Parameters:
    `context` - the context to set up
    `message` - the client service instance
    `engine` - the engine containing the registries
  Throws:
    `AxisFault` - if service cannot be found

### shutdown

    public void shutdown()

  Shuts down the connectors managed by this JMSTransport.

### closeAllConnectors

    public static void closeAllConnectors()

  Closes all JMS connectors

### closeMatchingJMSConnectors

    public static void closeMatchingJMSConnectors(java.lang.String endpointAddr,
                                                  java.lang.String username,
                                                  java.lang.String password)

  Closes JMS connectors that match the specified endpoint address

  Parameters:
    `endpointAddr` - the JMS endpoint address
    `username` -
    `password` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.